<View::Base::SourceRecord
  @path={{@path}}
  @model={{@model}}
  @value={{@value}}
  @isEditor={{@isEditor}}
  class="use-highlights"
  as |record|
>
  <View::SourceAttribute @isEditor={{@isEditor}} @path={{@path}} @value={{@value}} @record={{record}}>
    <:default as |value hasValue|>
      <TextWithOptions
        @options={{@value.data.title}}
        @tag="h"
        @deviceSize={{@deviceSize}}
        data-path="{{@path}}.data.title"
        data-text-value="true"
        data-type="title"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        class="attribute-title {{if (and @isEditor this.hasMissingTitle) "empty"}}"
      >{{!
      }}{{this.label}}{{!
    }}</TextWithOptions>

      <TextWithOptions
        @options={{@value.data.attributeStyle}}
        @tag="div"
        @deviceSize={{@deviceSize}}
        data-path="{{@path}}.data.attributeStyle"
        data-type="value"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        class="attribute-value {{unless hasValue "empty"}}"
      >{{!
      }}{{value}}{{!
      }}</TextWithOptions>
    </:default>

    <:blocks as |value|>
      <TextWithOptions
        @options={{@value.data.title}}
        @tag="h"
        @deviceSize={{@deviceSize}}
        data-path="{{@path}}.data.title"
        data-text-value="true"
        data-type="title"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        class="attribute-title"
      >{{!
      }}{{@value.data.title.text}}{{!
    }}</TextWithOptions>

      <TextWithOptions
        @options={{@value.data.attributeStyle}}
        @tag="div"
        @deviceSize={{@deviceSize}}
        data-path="{{@path}}.data.attributeStyle"
        data-type="value"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
        class="attribute-value"
      >{{!
        }}<View::Blocks
          @value={{value}}
          @isEditor={{@isEditor}}
          @deviceSize={{@deviceSize}}
        />{{!
      }}</TextWithOptions>
    </:blocks>
  </View::SourceAttribute>
</View::Base::SourceRecord>